# synfig::Layer_MotionBlur Class Reference

`#include <layer_motionblur.h>`

Inheritance diagram for synfig::Layer_MotionBlur:

List of all members.

## Public Member Functions

| Layer_MotionBlur ()
virtual bool | set_param (const String &param, const synfig::ValueBase &value)
| Sets the parameter described by param to value.
virtual ValueBase | get_param (const String &param) const
| Get the value of the specified parameter.
virtual Color | get_color (Context context, const Point &pos) const
| Gets the color of the Canvas at pos.
virtual void | set_time (Context context, Time time) const
| Sets the time for the selected Layer and those under it.
virtual void | set_time (Context context, Time time, const Point &point) const
| Sets the time for the selected Layer and those under it for a specific point.
virtual bool | accelerated_render (Context context, Surface *surface, int quality, const RendDesc &renddesc, ProgressCallback *cb) const
| Renders the Canvas to the given Surface in an accelerated manner.
virtual Vocab | get_param_vocab () const
| Gets the parameter vocabulary.
virtual bool | reads_context () const
| Returns true if the layer needs to be able to examine its context.

## Constructor & Destructor Documentation

Layer_MotionBlur::Layer_MotionBlur | ( |  | ) |

## Member Function Documentation

bool Layer_MotionBlur::set_param | ( | const String & | param,
|  | const synfig::ValueBase & | value |
| ) |  |  | `[virtual]`

Sets the parameter described by param to value.

Parameters:

  | param | The name of the parameter to set
  | value | What the parameter is to be set to.

Returns:
  `true` on success, `false` upon rejection or failure. If it returns `false`, then the Layer is assumed to remain unchanged.

See also:
  get_param()

Todo:
  param should be of the type `const String &param`

Reimplemented from synfig::Layer_Composite.

References IMPORT, and synfig::Layer_Composite::set_param().

ValueBase Layer_MotionBlur::get_param | ( | const String & | param | ) | const`[virtual]`

Get the value of the specified parameter.

Returns:
  The requested parameter value, or (upon failure) a NIL ValueBase.

See also:
  set_param()

Todo:
  param should be of the type `const String &`

Reimplemented from synfig::Layer_Composite.

References EXPORT, EXPORT_NAME, EXPORT_VERSION, and synfig::Layer_Composite::get_param().

Color Layer_MotionBlur::get_color | ( | Context | context,
|  | const Point & | pos |
| ) |  |  | const`[virtual]`

Gets the color of the Canvas at pos.

Parameters:

  | context | Context iterator referring to next Layer.
  | pos | Point which indicates where the Color should come from

See also:
  Handle::get_color()

Reimplemented from synfig::Layer.

References synfig::Context::get_color().

void Layer_MotionBlur::set_time | ( | Context | context,
|  | Time | time |
| ) |  |  | const`[virtual]`

Sets the time for the selected Layer and those under it.

Parameters:

  | context | Context iterator referring to next Layer.
  | time | writeme

See also:
  Handle::set_time()

Reimplemented from synfig::Layer.

References synfig::Context::set_time().

void Layer_MotionBlur::set_time | ( | Context | context,
|  | Time | time,
|  | const Point & | point |
| ) |  |  | const`[virtual]`

Sets the time for the selected Layer and those under it for a specific point.

Parameters:

  | context | Context iterator referring to next Layer.
  | time | writeme
  | point | writeme

See also:
  Handle::set_time()

Todo:
  point should be of the type `const Point &`

Reimplemented from synfig::Layer.

References synfig::Context::set_time().

bool Layer_MotionBlur::accelerated_render | ( | Context | context,
|  | Surface * | surface,
|  | int | quality,
|  | const RendDesc & | renddesc,
|  | ProgressCallback * | cb |
| ) |  |  | const`[virtual]`

Renders the Canvas to the given Surface in an accelerated manner.

Parameters:

  | context | Context iterator referring to next Layer.
  | surface | Pointer to Surface to render to.
  | quality | The requested quality-level to render at.
  | renddesc | The associated RendDesc.
  | cb | Pointer to callback object. May be NULL if there is no callback.

Returns:
  `true` on success, `false` on failure

See also:
  Handle::accelerated_render()

Reimplemented from synfig::Layer_Composite.

References synfig::Context::accelerated_render(), synfig::Surface::clear(), synfig::RendDesc::get_h(), synfig::RendDesc::get_w(), and synfig::Context::set_time().

Layer::Vocab Layer_MotionBlur::get_param_vocab | ( | void |  | ) | const`[virtual]`

Gets the parameter vocabulary.

Reimplemented from synfig::Layer_Composite.

References _, and synfig::Layer::set_description().

virtual bool synfig::Layer_MotionBlur::reads_context | ( |  | ) | const`[inline, virtual]`

Returns true if the layer needs to be able to examine its context.

context to render itself, other than for simple blending. For example, the blur layer will return true - it can't do its job if it can't see its context, and the circle layer will return false - rendering a circle doesn't depend on the underlying context until the final blend operation.

Reimplemented from synfig::Layer.

The documentation for this class was generated from the following files:

- layer_motionblur.h
- layer_motionblur.cpp